org.vishia.gral.swt

## Class SwtDragListener

- java.lang.Object
- - org.eclipse.swt.dnd.DragSourceAdapter
  - - org.vishia.gral.swt.SwtDragListener

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.dnd.DragSourceListener, org.eclipse.swt.internal.SWTEventListener

      public class SwtDragListener
      extends org.eclipse.swt.dnd.DragSourceAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.eclipse.swt.dnd.FileTransfer` | `fileTransfer` This instance helps to check whether a Transfer can be done.
    `private org.eclipse.swt.dnd.TextTransfer` | `textTransfer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtDragListener(int dragType, org.eclipse.swt.widgets.Control control)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragFinished(org.eclipse.swt.dnd.DragSourceEvent event)`
    `void` | `dragSetData(org.eclipse.swt.dnd.DragSourceEvent event)` This method is called if the mouse button is released over the target.
    `void` | `dragStart(org.eclipse.swt.dnd.DragSourceEvent event)`
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileTransfer

          private final org.eclipse.swt.dnd.FileTransfer fileTransfer

      This instance helps to check whether a Transfer can be done.

    - #### textTransfer

          private final org.eclipse.swt.dnd.TextTransfer textTransfer

  - ### Constructor Detail

    - #### SwtDragListener

          SwtDragListener(int dragType,
                          org.eclipse.swt.widgets.Control control)

  - ### Method Detail

    - #### dragFinished

          public void dragFinished(org.eclipse.swt.dnd.DragSourceEvent event)

      Specified by:
        `dragFinished` in interface `org.eclipse.swt.dnd.DragSourceListener`
      Overrides:
        `dragFinished` in class `org.eclipse.swt.dnd.DragSourceAdapter`

    - #### dragSetData

          public void dragSetData(org.eclipse.swt.dnd.DragSourceEvent event)

      This method is called if the mouse button is released over the target. The possible data types of the receiver are known therefore: The receiver may accept a text transfer if it is a text editor, or a file transfer if it is a file browser etc. The type of transfer can be tested with event.dataType.
      Specified by:
        `dragSetData` in interface `org.eclipse.swt.dnd.DragSourceListener`
      Overrides:
        `dragSetData` in class `org.eclipse.swt.dnd.DragSourceAdapter`
      See Also:
        `DragSourceAdapter.dragSetData(org.eclipse.swt.dnd.DragSourceEvent)`

    - #### dragStart

          public void dragStart(org.eclipse.swt.dnd.DragSourceEvent event)

      Specified by:
        `dragStart` in interface `org.eclipse.swt.dnd.DragSourceListener`
      Overrides:
        `dragStart` in class `org.eclipse.swt.dnd.DragSourceAdapter`

    - #### stop

          void stop()